Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.AdditionalAction Class Reference
Inheritance diagram for FoxitPDFSDKPython3.AdditionalAction:

## Public Member Functions
def | AdditionalAction (doc, pdf_dict)
| Constructor, from a PDF document or a PDF dictionary (if any). More...
def | AdditionalAction (page)
| Constructor, from a PDF page. More...
def | AdditionalAction (field)
| Constructor, from a PDF form field. More...
def | AdditionalAction (annot)
| Constructor, from a PDF annotation. More...
def | AdditionalAction (other)
| Constructor, with another additional action object. More...
def | DoJSAction (trigger)
| Perform javascript action which is specified by a trigger event type. More...
def | GetAction (trigger)
| Get an action with specified trigger event type. More...
def | GetDict ()
| Get the PDF dictionary of current object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAction (trigger)
| Remove an action with specified trigger event type. More...
def | RemoveAllActions ()
| Remove all actions. More...
def | SetAction (trigger, action)
| Set a additional-action for specified trigger event type. More...

## Static Public Attributes
| e_TriggerAnnotCursorEnter = _fsdk.AdditionalAction_e_TriggerAnnotCursorEnter
| Trigger an action to be performed when the cursor enters the annotation's active area. More...
| e_TriggerAnnotCursorExit = _fsdk.AdditionalAction_e_TriggerAnnotCursorExit
| Trigger an action to be performed when the cursor exits the annotation's active area. More...
| e_TriggerAnnotLoseInputFocus = _fsdk.AdditionalAction_e_TriggerAnnotLoseInputFocus
| (Applicable for widget annotation only) Trigger an action to be performed when the annotation loses the input focus. More...
| e_TriggerAnnotMouseButtonPressed = _fsdk.AdditionalAction_e_TriggerAnnotMouseButtonPressed
| Trigger an action to be performed when the mouse button is pressed inside the annotation's active area. More...
| e_TriggerAnnotMouseButtonReleased = _fsdk.AdditionalAction_e_TriggerAnnotMouseButtonReleased
| Trigger an action to be performed when the mouse button is released inside the annotation's active area. More...
| e_TriggerAnnotPageClosed = _fsdk.AdditionalAction_e_TriggerAnnotPageClosed
| Trigger an action to be performed when the page containing the annotation is closed. More...
| e_TriggerAnnotPageInvisible = _fsdk.AdditionalAction_e_TriggerAnnotPageInvisible
| Trigger an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface. More...
| e_TriggerAnnotPageOpened = _fsdk.AdditionalAction_e_TriggerAnnotPageOpened
| Trigger an action to be performed when the page containing the annotation is opened. More...
| e_TriggerAnnotPageVisible = _fsdk.AdditionalAction_e_TriggerAnnotPageVisible
| Trigger an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface. More...
| e_TriggerAnnotReceiveInputFocus = _fsdk.AdditionalAction_e_TriggerAnnotReceiveInputFocus
| (Applicable for widget annotation only) Trigger an action to be performed when the annotation receives the input focus. More...
| e_TriggerDocPrinted = _fsdk.AdditionalAction_e_TriggerDocPrinted
| Trigger a JavaScript action to be performed after printing a document. More...
| e_TriggerDocSaved = _fsdk.AdditionalAction_e_TriggerDocSaved
| Trigger a JavaScript action to be performed after saving a document. More...
| e_TriggerDocWillClose = _fsdk.AdditionalAction_e_TriggerDocWillClose
| Trigger a JavaScript action to be performed before closing a document. More...
| e_TriggerDocWillPrint = _fsdk.AdditionalAction_e_TriggerDocWillPrint
| Trigger a JavaScript action to be performed before printing a document. More...
| e_TriggerDocWillSave = _fsdk.AdditionalAction_e_TriggerDocWillSave
| Trigger a JavaScript action to be performed before saving a document. More...
| e_TriggerFieldKeyStroke = _fsdk.AdditionalAction_e_TriggerFieldKeyStroke
| Trigger a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box. More...
| e_TriggerFieldRecalculateValue = _fsdk.AdditionalAction_e_TriggerFieldRecalculateValue
| Trigger a JavaScript action to be performed to recalculate the value of this field when that of another field changes. More...
| e_TriggerFieldValueChanged = _fsdk.AdditionalAction_e_TriggerFieldValueChanged
| Trigger a JavaScript action to be performed when the field's value is changed. More...
| e_TriggerFieldWillFormat = _fsdk.AdditionalAction_e_TriggerFieldWillFormat
| Trigger a JavaScript action to be performed before the field is formatted to display its current value. More...
| e_TriggerPageClosed = _fsdk.AdditionalAction_e_TriggerPageClosed
| Trigger an action to be performed when the page is closed. More...
| e_TriggerPageOpened = _fsdk.AdditionalAction_e_TriggerPageOpened
| Trigger an action to be performed when the page is opened. More...

## Detailed Description

An annotation, page object, or (beginning with PDF 1.3) interactive form field may include an entry named "AA" which specifies an additional-actions dictionary (PDF 1.2) that extends the set of events that can trigger the execution of an action. In PDF 1.4, the document catalog dictionary may also contain an "AA" entry for trigger events affecting the document as a whole.
This class can be constructed from PDF document, PDF page, PDF form field, PDF annotation (only some types) or an existing additional-actions dictionary and can be used to get/set data from an additional-actions dictionary from PDF document, PDF page, PDF form field or PDF annotation.

## Constructor & Destructor Documentation

## ◆ AdditionalAction() [1/5]

def FoxitPDFSDKPython3.AdditionalAction.AdditionalAction | ( |  | doc,
|  |  | pdf_dict
| ) |  |

Constructor, from a PDF document or a PDF dictionary (if any).

Parameters

  [in] | doc | A valid PDF document object.
  [in] | pdf_dict | A PDF dictionary which represents an additional action dictionary. If this parameter is null, that means just to construct an Additional action object with PDF document. If this parameter is not null, that means to construct an Additional action object from this PDF dictionary should have existed in the specified PDF document and represents the additional action dictionary. Default value: null.

## ◆ AdditionalAction() [2/5]

def FoxitPDFSDKPython3.AdditionalAction.AdditionalAction | ( |  | page | ) |

Constructor, from a PDF page.

Parameters

  [in] | page | A valid PDF page object.

## ◆ AdditionalAction() [3/5]

def FoxitPDFSDKPython3.AdditionalAction.AdditionalAction | ( |  | field | ) |

Constructor, from a PDF form field.

Parameters

  [in] | field | A valid PDF form field.

## ◆ AdditionalAction() [4/5]

def FoxitPDFSDKPython3.AdditionalAction.AdditionalAction | ( |  | annot | ) |

Constructor, from a PDF annotation.

Parameters

  [in] | annot | A valid PDF annotation. Currently, only support widget and screen annotation. For other types of annotations, this function will throw exception FoxitPDFSDKPython3.e_ErrUnsupported .

## ◆ AdditionalAction() [5/5]

def FoxitPDFSDKPython3.AdditionalAction.AdditionalAction | ( |  | other | ) |

Constructor, with another additional action object.

Parameters

  [in] | other | Another additional action object.

## Member Function Documentation

## ◆ DoJSAction()

def FoxitPDFSDKPython3.AdditionalAction.DoJSAction | ( |  | trigger | ) |

Perform javascript action which is specified by a trigger event type.

If current object is constructed with a valid PDF dictionary, current function will return false directly because Foxit PDF SDK cannot know which kind of object the additional action dictionary is associated with.

Parameters

  [in] | trigger | The input trigger event type. It should be: If current additional-action is constructed from PDF page, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened (with same prefix name). If current additional-action is constructed from PDF document, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillClose (with same prefix name). If current additional-action is constructed from PDF form field, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldKeyStroke (with same prefix name). If current additional-action is constructed from PDF annotation, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorEnter (with same prefix name).

Returns
  true means success , while false means failure or current object is constructed from PDF dictionary.

## ◆ GetAction()

def FoxitPDFSDKPython3.AdditionalAction.GetAction | ( |  | trigger | ) |

Get an action with specified trigger event type.

Parameters

  [in] | trigger | The input trigger event type. It should be: If current additional-action is constructed from PDF dictionary, the trigger value can be one of values defined in enum class TriggerEvent. If current additional-action is constructed from PDF page, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened (with same prefix name). If current additional-action is constructed from PDF document, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillClose (with same prefix name). If current additional-action is constructed from PDF form field, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldKeyStroke (with same prefix name). If current additional-action is constructed from PDF annotation, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorEnter (with same prefix name).

Returns
  An action object.

## ◆ GetDict()

def FoxitPDFSDKPython3.AdditionalAction.GetDict | ( |  | ) |

Get the PDF dictionary of current object.

Returns
  The PDF dictionary.If there is any error, this function will return null.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.AdditionalAction.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveAction()

def FoxitPDFSDKPython3.AdditionalAction.RemoveAction | ( |  | trigger | ) |

Remove an action with specified trigger event type.

If there is no action for input trigger event type when it is valid, this function will return true directly.

Parameters

  [in] | trigger | The input trigger event type. It should be: If current additional-action is constructed from PDF dictionary, the trigger value can be one of values defined in enum class TriggerEvent. If current additional-action is constructed from PDF page, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened (with same prefix name). If current additional-action is constructed from PDF document, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillClose (with same prefix name). If current additional-action is constructed from PDF form field, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldKeyStroke (with same prefix name). If current additional-action is constructed from PDF annotation, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorEnter (with same prefix name).

Returns
  true means success , while false means failure.

## ◆ RemoveAllActions()

def FoxitPDFSDKPython3.AdditionalAction.RemoveAllActions | ( |  | ) |

Remove all actions.

Returns
  true means success , while false means failure.

## ◆ SetAction()

def FoxitPDFSDKPython3.AdditionalAction.SetAction | ( |  | trigger,
|  |  | action
| ) |  |

Set a additional-action for specified trigger event type.

Parameters

  [in] | trigger | The input trigger event type. It should be: If current additional-action is constructed from PDF dictionary, the trigger value can be one of values defined in enum class TriggerEvent. If current additional-action is constructed from PDF page, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened (with same prefix name). If current additional-action is constructed from PDF document, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillClose (with same prefix name). If current additional-action is constructed from PDF form field, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldKeyStroke (with same prefix name). If current additional-action is constructed from PDF annotation, the trigger value must be one of values starting from FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorEnter (with same prefix name).
  [in] | action | An action object to be set. If current additional-action is constructed from PDF document or PDF form field, the type of this action should be FoxitPDFSDKPython3.Action.e_TypeJavaScript . If current additional-action is constructed from PDF page, PDF annotation, or PDF dictionary, please refer to comment of the trigger event to check if only specified type of action can be used. Usually, support following types as the new action: FoxitPDFSDKPython3.Action.e_TypeGoto , FoxitPDFSDKPython3.Action.e_TypeURI , FoxitPDFSDKPython3.Action.e_TypeJavaScript , FoxitPDFSDKPython3.Action.e_TypeNamed , FoxitPDFSDKPython3.Action.e_TypeGoToR , FoxitPDFSDKPython3.Action.e_TypeGoToE , FoxitPDFSDKPython3.Action.e_TypeSubmitForm , FoxitPDFSDKPython3.Action.e_TypeResetForm , FoxitPDFSDKPython3.Action.e_TypeHide , FoxitPDFSDKPython3.Action.e_TypeLaunch , FoxitPDFSDKPython3.Action.e_TypeImportData , FoxitPDFSDKPython3.Action.e_TypeRendition .

Returns
  None.

## Member Data Documentation

## ◆ e_TriggerAnnotCursorEnter

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorEnter = _fsdk.AdditionalAction_e_TriggerAnnotCursorEnter
| static

Trigger an action to be performed when the cursor enters the annotation's active area.

This represents "E" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotCursorExit

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotCursorExit = _fsdk.AdditionalAction_e_TriggerAnnotCursorExit
| static

Trigger an action to be performed when the cursor exits the annotation's active area.

This represents "X" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotLoseInputFocus

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotLoseInputFocus = _fsdk.AdditionalAction_e_TriggerAnnotLoseInputFocus
| static

(Applicable for widget annotation only) Trigger an action to be performed when the annotation loses the input focus.

This represents "Bl" (Uppercase B and lowercase L, which stands for "blurred") entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from a widget annotation.

## ◆ e_TriggerAnnotMouseButtonPressed

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotMouseButtonPressed = _fsdk.AdditionalAction_e_TriggerAnnotMouseButtonPressed
| static

Trigger an action to be performed when the mouse button is pressed inside the annotation's active area.

This represents "D" (stands for "Down") entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotMouseButtonReleased

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotMouseButtonReleased = _fsdk.AdditionalAction_e_TriggerAnnotMouseButtonReleased
| static

Trigger an action to be performed when the mouse button is released inside the annotation's active area.

This represents "U" (stands for "Up") entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotPageClosed

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotPageClosed = _fsdk.AdditionalAction_e_TriggerAnnotPageClosed
| static

Trigger an action to be performed when the page containing the annotation is closed.

This represents "PC" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation. The triggered action is executed after action for FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageClosed is triggered, if such action present.

## ◆ e_TriggerAnnotPageInvisible

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotPageInvisible = _fsdk.AdditionalAction_e_TriggerAnnotPageInvisible
| static

Trigger an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.

This represents "PI" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotPageOpened

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotPageOpened = _fsdk.AdditionalAction_e_TriggerAnnotPageOpened
| static

Trigger an action to be performed when the page containing the annotation is opened.

This represents "PO" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation. The triggered action is executed after action for FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened is triggered and open action of PDF document, if such actions present.

## ◆ e_TriggerAnnotPageVisible

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotPageVisible = _fsdk.AdditionalAction_e_TriggerAnnotPageVisible
| static

Trigger an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.

This represents "PV" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from PDF annotation.

## ◆ e_TriggerAnnotReceiveInputFocus

FoxitPDFSDKPython3.AdditionalAction.e_TriggerAnnotReceiveInputFocus = _fsdk.AdditionalAction_e_TriggerAnnotReceiveInputFocus
| static

(Applicable for widget annotation only) Trigger an action to be performed when the annotation receives the input focus.

This represents "Fo" entry in an annotation's additional-actions dictionary. Only applicable for additional action object constructed from a widget annotation.

## ◆ e_TriggerDocPrinted

FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocPrinted = _fsdk.AdditionalAction_e_TriggerDocPrinted
| static

Trigger a JavaScript action to be performed after printing a document.

This represents "DP" entry in a document catalog's additional-actions dictionary. Only applicable for additional action object constructed from PDF document.

## ◆ e_TriggerDocSaved

FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocSaved = _fsdk.AdditionalAction_e_TriggerDocSaved
| static

Trigger a JavaScript action to be performed after saving a document.

This represents "DS" entry in a document catalog's additional-actions dictionary. Only applicable for additional action object constructed from PDF document.

## ◆ e_TriggerDocWillClose

FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillClose = _fsdk.AdditionalAction_e_TriggerDocWillClose
| static

Trigger a JavaScript action to be performed before closing a document.

This represents "WC" entry in a document catalog's additional-actions dictionary. Only applicable for additional action object constructed from PDF document.

## ◆ e_TriggerDocWillPrint

FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillPrint = _fsdk.AdditionalAction_e_TriggerDocWillPrint
| static

Trigger a JavaScript action to be performed before printing a document.

This represents "WP" entry in a document catalog's additional-actions dictionary. Only applicable for additional action object constructed from PDF document.

## ◆ e_TriggerDocWillSave

FoxitPDFSDKPython3.AdditionalAction.e_TriggerDocWillSave = _fsdk.AdditionalAction_e_TriggerDocWillSave
| static

Trigger a JavaScript action to be performed before saving a document.

This represents "WS" entry in a document catalog's additional-actions dictionary. Only applicable for additional action object constructed from PDF document.

## ◆ e_TriggerFieldKeyStroke

FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldKeyStroke = _fsdk.AdditionalAction_e_TriggerFieldKeyStroke
| static

Trigger a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box.

This represents "K" entry in a form field's additional-actions dictionary. Only applicable for additional action object constructed from PDF form field.
The triggered action can check the keystroke for validity and reject or modify it.

## ◆ e_TriggerFieldRecalculateValue

FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldRecalculateValue = _fsdk.AdditionalAction_e_TriggerFieldRecalculateValue
| static

Trigger a JavaScript action to be performed to recalculate the value of this field when that of another field changes.

This represents "C" entry in a form field's additional-actions dictionary. Only applicable for additional action object constructed from PDF form field.
The order in which the document's fields are recalculated can be gotten by function FoxitPDFSDKPython3.Form.GetFieldsInCalculationOrder .

## ◆ e_TriggerFieldValueChanged

FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldValueChanged = _fsdk.AdditionalAction_e_TriggerFieldValueChanged
| static

Trigger a JavaScript action to be performed when the field's value is changed.

This represents "V" entry in a form field's additional-actions dictionary. Only applicable for additional action object constructed from PDF form field.
The triggered action can check the new value for validity.

## ◆ e_TriggerFieldWillFormat

FoxitPDFSDKPython3.AdditionalAction.e_TriggerFieldWillFormat = _fsdk.AdditionalAction_e_TriggerFieldWillFormat
| static

Trigger a JavaScript action to be performed before the field is formatted to display its current value.

This represents "F" entry in a form field's additional-actions dictionary. Only applicable for additional action object constructed from PDF form field.
The triggered action can modify the field's value before formatting.

## ◆ e_TriggerPageClosed

FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageClosed = _fsdk.AdditionalAction_e_TriggerPageClosed
| static

Trigger an action to be performed when the page is closed.

This represents "C" entry in a page object's additional-actions dictionary. Only applicable for additional action object constructed from PDF page.

## ◆ e_TriggerPageOpened

FoxitPDFSDKPython3.AdditionalAction.e_TriggerPageOpened = _fsdk.AdditionalAction_e_TriggerPageOpened
| static

Trigger an action to be performed when the page is opened.

This represents "O" entry in a page object's additional-actions dictionary. Only applicable for additional action object constructed from PDF page.